<h3>Create product</h3>

<form class="ui form" [formGroup]="createProductForm" (ngSubmit)="createProduct()">
  <div class="required fluid field" [ngClass]="nameHasErrors()">
    <label>Name</label>
    <input type="text" formControlName="name" />
  </div>

  <div class="ui negative message" *ngIf="nameErrors().length > 0">
    <ul class="list">
      <li *ngFor="let errorMessage of nameErrors()">{{ errorMessage }}</li>
    </ul>
  </div>

  <div class="ui required right labeled fluid input" [ngClass]="priceHasErrors()">
    <label class="ui label">$</label>
    <input type="number" formControlName="price" />
    <div class="ui basic label">.00</div>
  </div>

  <div class="required fluid field" [ngClass]="descriptionHasErrors()">
    <label>Description</label>
    <textarea rows="5" formControlName="description"></textarea>
  </div>

  <div class="inline field" [ngClass]="forSaleHasErrors()">
    <div class="ui toggle checkbox">
      <input type="checkbox" tabindex="0" class="hidden" formControlName="forSale" />
      <label>For sale</label>
    </div>
  </div>

  <div class="required grouped fields" [ngClass]="stateHasErrors()">
    <label for="fruit">Select the state of your product:</label>
    <div class="field">
      <div class="ui radio checkbox">
        <input type="radio" class="hidden" [value]="ProductStateEnum.New" formControlName="state" />
        <label>{{ ProductStateEnum.New }}</label>
      </div>
    </div>
    <div class="field">
      <div class="ui radio checkbox">
        <input type="radio" class="hidden" [value]="ProductStateEnum.BarelyUsed" formControlName="state" />
        <label>{{ ProductStateEnum.BarelyUsed }}</label>
      </div>
    </div>
    <div class="field">
      <div class="ui radio checkbox">
        <input type="radio" class="hidden" [value]="ProductStateEnum.ModeratelyUsed" formControlName="state" />
        <label>{{ ProductStateEnum.ModeratelyUsed }}</label>
      </div>
    </div>
  </div>

  <div class="required fluid field">
    <label>Product images</label>
    <input type="file" multiple (change)="selectFiles($event)" />
  </div>

  <button class="ui fluid button" type="submit">Add a product</button>
</form>

<div *ngFor="let progressInfo of progressInfos">
  <span>{{ progressInfo.fileName }}</span>
  <div class="ui indicating progress">
    <div class="bar"></div>
    <div class="label">{{ progressInfo.label }}</div>
  </div>
</div>
